;==========================================================
;creates initial log file (always new)
;==========================================================

CreateLogFile:
push ebx
invoke CreateFile,LogFileName,GENERIC_WRITE,0,0,CREATE_ALWAYS,\
	FILE_ATTRIBUTE_NORMAL,0
	mov ebx,eax
invoke SetFilePointer,eax,0,0,FILE_BEGIN

	sub esp,4
	mov ecx,esp
invoke WriteFile,ebx,_log_title,(end_log_title-_log_title),ecx,0
	add esp,4

invoke CloseHandle,ebx
pop ebx
ret

;==========================================================
;writes info to log file
;==========================================================
WriteLogFile:	;[esp+12]=string to print
		;[esp+16]=0-SUCCESS,1-FAIL,2-N/A                                
push eax
push ecx
push edx
push ebx
push edi

invoke CreateFile,LogFileName,GENERIC_WRITE,0,0,OPEN_ALWAYS,\
	FILE_ATTRIBUTE_NORMAL,0
	mov ebx,eax

invoke SetFilePointer,eax,0,0,FILE_END

	mov edi,[esp+24]
	xor al,al
	or ecx,0FFFFFFFFh
	repnz scasb
	mov eax,[esp+24]
	sub edi,eax

	sub esp,4
	mov ecx,esp
invoke WriteFile,ebx,eax,edi,ecx,0
	add esp,4

	mov eax,[esp+28]
	mov edi,_log_pass
	test eax,eax
	jz pass_test_jump
		mov edi,_log_fail
		cmp eax,1
		jz fail_test_jump
		mov edi,_log_na
		fail_test_jump:
	pass_test_jump:

	sub esp,4
	mov ecx,esp
invoke WriteFile,ebx,edi,12,ecx,0
	add esp,4

invoke CloseHandle,ebx
pop edi
pop ebx
pop edx
pop ecx
pop eax
ret 8

;==========================================================